Module
Contents
Index 🔎︎

# QBColor Function

Returnerar den RGB-färgkod som motsvarar en färgkod i äldre MS-DOS-baserade programmeringssystem.

## Syntax:

    QBColor (Färg As Integer)

## Returvärde:

Long

## Parameter:

ColorNumber: Ett heltalsuttryck som anger färgvärdet för den färg som används i ett MS-DOS-baserat programmeringssystem.

Färg har följande möjliga värden:

0 : Svart

1 : Blått

2 : Grönt

3 : Cyan

4 : Rött

5 : Magenta

6 : Gult

7 : Vitt

8 : Grått

9 : Ljusblått

10 : Ljusgrönt

11 : Ljus cyan

12 : Ljusrött

13 : Ljus magenta

14 : Ljusgult

15 : Ljust vit

Funktionen används för att konvertera tidigare versioner av BASIC-program i MS-DOS-miljö som använder ovanstående färgkoder. Funktionen returnerar ett heltalsvärde av typen Long som motsvarar färgen i LibreOffice IDE.

## Error codes:

5 Felaktigt proceduranrop

## Exempel:

    Sub ExampleQBColor

    Dim iColor As Integer

    Dim sText As String

        iColor = 7

        sText = "RGB= " & Red(QBColor( iColor) ) & ":" & Blue(QBColor( iColor) ) & ":" & Green(QBColor( iColor) )

        MsgBox stext,0,"Färg " & iColor

    End Sub